package com.ruoyi.ibs.list.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 分群客户关联关系,导入的客群用户存放在这里对象 sys_group_customer
 *
 * @author ruoyi
 * @date 2024-09-14
 */

@Data
public class SysGroupCustomer extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 分群id
     */
    private String groupId;



    /**
     * 客户内码
     */
    private String custIsn;
    @Excel(name = "客户类型*（企业、商户、个人）",width = 25)
    private String custType;
    /**
     * 客户名
     */
    @Excel(name = "客户名称（新客必须录入客户名称）",width = 30)
    private String custName;

    /**
     * 客户号
     */
    @Excel(name = "客户号*",cellType = Excel.ColumnType.STRING,prompt = "请注意，将单元格设置为文本类型")
    private String custId;

//    @Excel(name = "证件类型",combo ="居民二代身份证,居民身份证,港澳居民来往内地通行证,台湾居民来往大陆通行证,外国人永久居留身份证" )
    private String idType;

    /**
     * 客户身份证号
     */
//    @Excel(name = "证件号*")
    private String custIdc;

    /**
     * 支行id
     */
    @Excel(name = "推送机构号（支行号或网点号）" ,width = 30)
    private Long deptId;

    /**
     * 网点id
     */
    private Long outletsId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 删除标志(0代表存在，2代表删除)
     */
    private String delFlag;

    /**
     * 网格id
     */
    private Long gridId;

    /**
     * 推送状态(0代表未推送，1代表推送成功，2代表推送失败)
     */
    private String pushStatus;

    /**
     * 客户手机号
     */
    @Excel(name = "联系方式")
    private String custPhone;

    /**
     * 归属网格名称
     */
    private String gridName;

    /**
     * 归属客户经理姓名
     */
    private String userName;

    /**
     * 归属客户经理姓名
     */
    private String deptName;

    @Excel(name = "推送柜员号")
    private String tellerId;

    private String gridName2;

    private String outlets;

    /** 法人或经营人姓名 */
    private String lpName;

    /** 统一社会信用识别码 */
    private String socialCreditCode;

    private String socialCreditCodeType;

    @Excel(name = "详细地址")
    private String detailAddress;
    @Excel(name = "所在行业")
    private String industry;
    @Excel(name = "资产情况")
    private String asset;
    @Excel(name = "信用状况")
    private String credit;


    //客户类别 是否行内客户 0是，1否
    private String custLb;


    @Excel(name = "注意：*表示必填项，第一行为表头（保留勿动），从第二行开始录入",width = 60)
    private String worning;

    public String getWorning() {
        return worning;
    }

    public void setWorning(String worning) {
        this.worning = worning;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustIdc(String custIdc) {
        this.custIdc = custIdc;
    }

    public String getCustIdc() {
        return custIdc;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setGridId(Long gridId) {
        this.gridId = gridId;
    }

    public Long getGridId() {
        return gridId;
    }

    public void setPushStatus(String pushStatus) {
        this.pushStatus = pushStatus;
    }

    public String getPushStatus() {
        return pushStatus;
    }

    public void setCustPhone(String custPhone) {
        this.custPhone = custPhone;
    }

    public String getCustPhone() {
        return custPhone;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getGridName() {
        return gridName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getTellerId() {
        return tellerId;
    }

    public void setTellerId(String tellerId) {
        this.tellerId = tellerId;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getGridName2() {
        return gridName2;
    }

    public void setGridName2(String gridName2) {
        this.gridName2 = gridName2;
    }

    public String getOutlets() {
        return outlets;
    }

    public void setOutlets(String outlets) {
        this.outlets = outlets;
    }

    public String getLpName() {
        return lpName;
    }

    public void setLpName(String lpName) {
        this.lpName = lpName;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }


    public String getSocialCreditCodeType() {
        return socialCreditCodeType;
    }

    public void setSocialCreditCodeType(String socialCreditCodeType) {
        this.socialCreditCodeType = socialCreditCodeType;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }


    public Long getOutletsId() {
        return outletsId;
    }

    public void setOutletsId(Long outletsId) {
        this.outletsId = outletsId;
    }

    public String getCustLb() {
        return custLb;
    }

    public void setCustLb(String custLb) {
        this.custLb = custLb;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("groupId", getGroupId())
                .append("custId", getCustId())
                .append("custName", getCustName())
                .append("custIdc", getCustIdc())
                .append("deptId", getDeptId())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("delFlag", getDelFlag())
                .append("gridId", getGridId())
                .append("pushStatus", getPushStatus())
                .append("custPhone", getCustPhone())
                .append("gridName", getGridName())
                .append("userName", getUserName())
                .append("custIsn", getCustIsn()).append("deptName", getDeptName())
                .append("tellerId",getTellerId()).append("idType",getIdType())
                .append("gridName2",getGridName2()).append("outlets",getOutlets())
                .toString();
    }
}
